%global pkgvers 0
%global scdate0 20240703
%global schash0 bae137d9ebe4c9551af3efcd1e3792f63ee87f8a
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-hlr.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-hlr
Version:        1.7.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom HLR Implementation
License:        AGPLv3

URL:            https://github.com/osmocom/osmo-hlr

BuildRequires:  git gcc autoconf automake libtool doxygen systemd
BuildRequires:  libtalloc-devel sqlite-devel libosmocore-devel libosmo-abis-devel

%undefine _hardened_build
%undefine _annotated_build

%description
C-language implementation of a GSM Home Location Register (HLR)

%package          devel
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}

%description      devel
Development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
sed -i 's|UNKNOWN|%{version}|' %{buildroot}%{_libdir}/pkgconfig/*.pc


%check
make check || true


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license COPYING
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*
%{_libdir}/*.so.*
%{_datadir}/*

%files devel
%{_includedir}/osmocom/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
